<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="6424de926373e2f1" weblate-flags="read-only, safe-html, strict-same">
        <source>:idprefix: buckets_</source>
        <target state="translated">:idprefix: buckets_</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">2</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9d16d818e2121f48" weblate-flags="read-only, safe-html, strict-same">
        <source>= Basics of Hash Tables</source>
        <target state="translated">= Basics of Hash Tables</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">4</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ffb4e50840d4edf4" weblate-flags="read-only, safe-html, strict-same">
        <source>The containers are made up of a number of _buckets_, each of which can contain any number of elements. For example, the following diagram shows a `xref:reference/unordered_set.adoc#unordered_set[boost::unordered_set]` with 7 buckets containing 5 elements, `A`, `B`, `C`, `D` and `E` (this is just for illustration, containers will typically have more buckets).</source>
        <target state="translated">The containers are made up of a number of _buckets_, each of which can contain any number of elements. For example, the following diagram shows a `xref:reference/unordered_set.adoc#unordered_set[boost::unordered_set]` with 7 buckets containing 5 elements, `A`, `B`, `C`, `D` and `E` (this is just for illustration, containers will typically have more buckets).</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">6</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b84d857c477d492a" weblate-flags="read-only, safe-html, strict-same">
        <source>image::buckets.png[]</source>
        <target state="translated">image::buckets.png[]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">11</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="48e10416a0b5b6df" weblate-flags="read-only, safe-html, strict-same">
        <source>In order to decide which bucket to place an element in, the container applies the hash function, `Hash`, to the element's key (for sets the key is the whole element, but is referred to as the key so that the same terminology can be used for sets and maps). This returns a value of type `std::size_t`. `std::size_t` has a much greater range of values then the number of buckets, so the container applies another transformation to that value to choose a bucket to place the element in.</source>
        <target state="translated">In order to decide which bucket to place an element in, the container applies the hash function, `Hash`, to the element's key (for sets the key is the whole element, but is referred to as the key so that the same terminology can be used for sets and maps). This returns a value of type `std::size_t`. `std::size_t` has a much greater range of values then the number of buckets, so the container applies another transformation to that value to choose a bucket to place the element in.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="84466f0d6b6fbd30" weblate-flags="read-only, safe-html, strict-same">
        <source>Retrieving the elements for a given key is simple. The same process is applied to the key to find the correct bucket. Then the key is compared with the elements in the bucket to find any elements that match (using the equality predicate `Pred`). If the hash function has worked well the elements will be evenly distributed amongst the buckets so only a small number of elements will need to be examined.</source>
        <target state="translated">Retrieving the elements for a given key is simple. The same process is applied to the key to find the correct bucket. Then the key is compared with the elements in the bucket to find any elements that match (using the equality predicate `Pred`). If the hash function has worked well the elements will be evenly distributed amongst the buckets so only a small number of elements will need to be examined.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">20</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="58cdabe7426b9cbd" weblate-flags="read-only, safe-html, strict-same">
        <source>There is xref:hash_equality.adoc#hash_equality[more information on hash functions and equality predicates in the next section].</source>
        <target state="translated">There is xref:hash_equality.adoc#hash_equality[more information on hash functions and equality predicates in the next section].</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ee3d8c5be92de676" weblate-flags="read-only, safe-html, strict-same">
        <source>You can see in the diagram that `A` &amp; `D` have been placed in the same bucket. When looking for elements in this bucket up to 2 comparisons are made, making the search slower. This is known as a *collision*. To keep things fast we try to keep collisions to a minimum.</source>
        <target state="translated">You can see in the diagram that `A` &amp; `D` have been placed in the same bucket. When looking for elements in this bucket up to 2 comparisons are made, making the search slower. This is known as a *collision*. To keep things fast we try to keep collisions to a minimum.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">30</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="164f9c4c31550b88" weblate-flags="read-only, safe-html, strict-same">
        <source>If instead of `boost::unordered_set` we had used `xref:reference/unordered_flat_set.adoc[boost::unordered_flat_set]`, the diagram would look as follows:</source>
        <target state="translated">If instead of `boost::unordered_set` we had used `xref:reference/unordered_flat_set.adoc[boost::unordered_flat_set]`, the diagram would look as follows:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">35</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f0538c53d551ffce" weblate-flags="read-only, safe-html, strict-same">
        <source>image::buckets-oa.png[]</source>
        <target state="translated">image::buckets-oa.png[]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">38</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="53750b8170279bf9" weblate-flags="read-only, safe-html, strict-same">
        <source>In open-addressing containers, buckets can hold at most one element; if a collision happens (like is the case of `D` in the example), the element uses some other available bucket in the vicinity of the original position. Given this simpler scenario, Boost.Unordered open-addressing containers offer a very limited API for accessing buckets.</source>
        <target state="translated">In open-addressing containers, buckets can hold at most one element; if a collision happens (like is the case of `D` in the example), the element uses some other available bucket in the vicinity of the original position. Given this simpler scenario, Boost.Unordered open-addressing containers offer a very limited API for accessing buckets.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">40</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":48" weblate-flags="read-only, safe-html, strict-same">
        <source>2+^h| *All containers* h|*Method* h|*Description*</source>
        <target state="translated">2+^h| *All containers* h|*Method* h|*Description*</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">48</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="021e93f900fc04fc" weblate-flags="read-only, safe-html, strict-same">
        <source>`size_type bucket_count() const`</source>
        <target state="translated">`size_type bucket_count() const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">51</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e236947d056d9c3f" weblate-flags="read-only, safe-html, strict-same">
        <source>The number of buckets.</source>
        <target state="translated">The number of buckets.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">51</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e2244a3fcccefbd7" weblate-flags="read-only, safe-html, strict-same">
        <source>2+^h| *Closed-addressing containers only* h|*Method* h|*Description*</source>
        <target state="translated">2+^h| *Closed-addressing containers only* h|*Method* h|*Description*</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">54</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7f271b9cadfd9268" weblate-flags="read-only, safe-html, strict-same">
        <source>`size_type max_bucket_count() const`</source>
        <target state="translated">`size_type max_bucket_count() const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="18f67cd8f9d89d57" weblate-flags="read-only, safe-html, strict-same">
        <source>An upper bound on the number of buckets.</source>
        <target state="translated">An upper bound on the number of buckets.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="49db1d9e29045aa2" weblate-flags="read-only, safe-html, strict-same">
        <source>`size_type bucket_size(size_type n) const`</source>
        <target state="translated">`size_type bucket_size(size_type n) const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8b6221a5f072fc73" weblate-flags="read-only, safe-html, strict-same">
        <source>The number of elements in bucket `n`.</source>
        <target state="translated">The number of elements in bucket `n`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="53fc828373fa6ae7" weblate-flags="read-only, safe-html, strict-same">
        <source>`size_type bucket(key_type const&amp; k) const`</source>
        <target state="translated">`size_type bucket(key_type const&amp; k) const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="942f675df0a0d21b" weblate-flags="read-only, safe-html, strict-same">
        <source>Returns the index of the bucket which would contain `k`.</source>
        <target state="translated">Returns the index of the bucket which would contain `k`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5413003f483943fc" weblate-flags="read-only, safe-html, strict-same">
        <source>`local_iterator begin(size_type n)`</source>
        <target state="translated">`local_iterator begin(size_type n)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9f8614737a00a734" weblate-flags="read-only, safe-html, strict-same">
        <source>1.6+|Return begin and end iterators for bucket `n`.</source>
        <target state="translated">1.6+|Return begin and end iterators for bucket `n`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">66</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="04837044c2a9bcee" weblate-flags="read-only, safe-html, strict-same">
        <source>`local_iterator end(size_type n)`</source>
        <target state="translated">`local_iterator end(size_type n)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">68</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cbd48fb7be79696d" weblate-flags="read-only, safe-html, strict-same">
        <source>`const_local_iterator begin(size_type n) const`</source>
        <target state="translated">`const_local_iterator begin(size_type n) const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">68</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3a7359d6553d8bfc" weblate-flags="read-only, safe-html, strict-same">
        <source>`const_local_iterator end(size_type n) const`</source>
        <target state="translated">`const_local_iterator end(size_type n) const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">68</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="527c9ab3b77c8c03" weblate-flags="read-only, safe-html, strict-same">
        <source>`const_local_iterator cbegin(size_type n) const`</source>
        <target state="translated">`const_local_iterator cbegin(size_type n) const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">68</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="df253cbdf02166ae" weblate-flags="read-only, safe-html, strict-same">
        <source>`const_local_iterator cend(size_type n) const`</source>
        <target state="translated">`const_local_iterator cend(size_type n) const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">68</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="072c875b7c3b74b8" weblate-flags="read-only, safe-html, strict-same">
        <source>Controlling the Number of Buckets</source>
        <target state="translated">Controlling the Number of Buckets</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">80</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9849c70644df2b3a" weblate-flags="read-only, safe-html, strict-same">
        <source>As more elements are added to an unordered associative container, the number of collisions will increase causing performance to degrade. To combat this the containers increase the bucket count as elements are inserted. You can also tell the container to change the bucket count (if required) by calling `rehash`.</source>
        <target state="translated">As more elements are added to an unordered associative container, the number of collisions will increase causing performance to degrade. To combat this the containers increase the bucket count as elements are inserted. You can also tell the container to change the bucket count (if required) by calling `rehash`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">82</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25c3c917b0eb57ed" weblate-flags="read-only, safe-html, strict-same">
        <source>The standard leaves a lot of freedom to the implementer to decide how the number of buckets is chosen, but it does make some requirements based on the container's _load factor_, the number of elements divided by the number of buckets. Containers also have a _maximum load factor_ which they should try to keep the load factor below.</source>
        <target state="translated">The standard leaves a lot of freedom to the implementer to decide how the number of buckets is chosen, but it does make some requirements based on the container's _load factor_, the number of elements divided by the number of buckets. Containers also have a _maximum load factor_ which they should try to keep the load factor below.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">88</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="03ed2db204686958" weblate-flags="read-only, safe-html, strict-same">
        <source>You can't control the bucket count directly but there are two ways to influence it:</source>
        <target state="translated">You can't control the bucket count directly but there are two ways to influence it:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">94</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5bab91ec5ffb746e" weblate-flags="read-only, safe-html, strict-same">
        <source>Specify the minimum number of buckets when constructing a container or when calling `rehash`.</source>
        <target state="translated">Specify the minimum number of buckets when constructing a container or when calling `rehash`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">97</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5b1c5c5761918cc3" weblate-flags="read-only, safe-html, strict-same">
        <source>Suggest a maximum load factor by calling `max_load_factor`.</source>
        <target state="translated">Suggest a maximum load factor by calling `max_load_factor`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">98</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="10016492b034a219" weblate-flags="read-only, safe-html, strict-same">
        <source>`max_load_factor` doesn't let you set the maximum load factor yourself, it just lets you give a _hint_. And even then, the standard doesn't actually require the container to pay much attention to this value. The only time the load factor is _required_ to be less than the maximum is following a call to `rehash`. But most implementations will try to keep the number of elements below the max load factor, and set the maximum load factor to be the same as or close to the hint - unless your hint is unreasonably small or large.</source>
        <target state="translated">`max_load_factor` doesn't let you set the maximum load factor yourself, it just lets you give a _hint_. And even then, the standard doesn't actually require the container to pay much attention to this value. The only time the load factor is _required_ to be less than the maximum is following a call to `rehash`. But most implementations will try to keep the number of elements below the max load factor, and set the maximum load factor to be the same as or close to the hint - unless your hint is unreasonably small or large.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">100</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":111" weblate-flags="read-only, safe-html, strict-same">
        <source>2+^h| *All containers* h|*Method* h|*Description*</source>
        <target state="translated">2+^h| *All containers* h|*Method* h|*Description*</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">111</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ed1f917cffa6ae02" weblate-flags="read-only, safe-html, strict-same">
        <source>`X(size_type n)`</source>
        <target state="translated">`X(size_type n)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d490e3acb0bd5f9e" weblate-flags="read-only, safe-html, strict-same">
        <source>Construct an empty container with at least `n` buckets (`X` is the container type).</source>
        <target state="translated">Construct an empty container with at least `n` buckets (`X` is the container type).</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c88b0df66f3e21d" weblate-flags="read-only, safe-html, strict-same">
        <source>`X(InputIterator i, InputIterator j, size_type n)`</source>
        <target state="translated">`X(InputIterator i, InputIterator j, size_type n)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f49eef521845ba82" weblate-flags="read-only, safe-html, strict-same">
        <source>Construct an empty container with at least `n` buckets and insert elements from the range `[i, j)` (`X` is the container type).</source>
        <target state="translated">Construct an empty container with at least `n` buckets and insert elements from the range `[i, j)` (`X` is the container type).</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4088bf19c841bab6" weblate-flags="read-only, safe-html, strict-same">
        <source>`float load_factor() const`</source>
        <target state="translated">`float load_factor() const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ed54c726c863f454" weblate-flags="read-only, safe-html, strict-same">
        <source>The average number of elements per bucket.</source>
        <target state="translated">The average number of elements per bucket.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="895e4ad15a378a7e" weblate-flags="read-only, safe-html, strict-same">
        <source>`float max_load_factor() const`</source>
        <target state="translated">`float max_load_factor() const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5255b1e9e53e3a38" weblate-flags="read-only, safe-html, strict-same">
        <source>Returns the current maximum load factor.</source>
        <target state="translated">Returns the current maximum load factor.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bee3b7fc3fb04cc5" weblate-flags="read-only, safe-html, strict-same">
        <source>`float max_load_factor(float z)`</source>
        <target state="translated">`float max_load_factor(float z)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="69965373ae7d3a44" weblate-flags="read-only, safe-html, strict-same">
        <source>Changes the container's maximum load factor, using `z` as a hint. +</source>
        <target state="translated">Changes the container's maximum load factor, using `z` as a hint. +</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9404f6dcf57f66e7" weblate-flags="read-only, safe-html, strict-same">
        <source>**Open-addressing and concurrent containers:** this function does nothing: users are not allowed to change the maximum load factor.</source>
        <target state="translated">**Open-addressing and concurrent containers:** this function does nothing: users are not allowed to change the maximum load factor.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">128</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e5f31430faed5b18" weblate-flags="read-only, safe-html, strict-same">
        <source>`void rehash(size_type n)`</source>
        <target state="translated">`void rehash(size_type n)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">130</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="08843826339c9580" weblate-flags="read-only, safe-html, strict-same">
        <source>Changes the number of buckets so that there at least `n` buckets, and so that the load factor is less than the maximum load factor.</source>
        <target state="translated">Changes the number of buckets so that there at least `n` buckets, and so that the load factor is less than the maximum load factor.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">130</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9d173f82b16ff5ea" weblate-flags="read-only, safe-html, strict-same">
        <source>2+^h| *Open-addressing and concurrent containers only* h|*Method* h|*Description*</source>
        <target state="translated">2+^h| *Open-addressing and concurrent containers only* h|*Method* h|*Description*</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">133</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="37e6c8dc2e9f605e" weblate-flags="read-only, safe-html, strict-same">
        <source>`size_type max_load() const`</source>
        <target state="translated">`size_type max_load() const`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">136</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4db23a0309edc108" weblate-flags="read-only, safe-html, strict-same">
        <source>Returns the maximum number of allowed elements in the container before rehash.</source>
        <target state="translated">Returns the maximum number of allowed elements in the container before rehash.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">136</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2290eab3eaa38706" weblate-flags="read-only, safe-html, strict-same">
        <source>A note on `max_load` for open-addressing and concurrent containers: the maximum load will be (`max_load_factor() * bucket_count()`) right after `rehash` or on container creation, but may slightly decrease when erasing elements in high-load situations. For instance, if we have a `xref:reference/unordered_flat_map.adoc#unordered_flat_map[boost::unordered_flat_map]` with `size()` almost at `max_load()` level and then erase 1,000 elements, `max_load()` may decrease by around a few dozen elements. This is done internally by Boost.Unordered in order to keep its performance stable, and must be taken into account when planning for rehash-free insertions.</source>
        <target state="translated">A note on `max_load` for open-addressing and concurrent containers: the maximum load will be (`max_load_factor() * bucket_count()`) right after `rehash` or on container creation, but may slightly decrease when erasing elements in high-load situations. For instance, if we have a `xref:reference/unordered_flat_map.adoc#unordered_flat_map[boost::unordered_flat_map]` with `size()` almost at `max_load()` level and then erase 1,000 elements, `max_load()` may decrease by around a few dozen elements. This is done internally by Boost.Unordered in order to keep its performance stable, and must be taken into account when planning for rehash-free insertions.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">141</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
